• Inactive
    January 3, 2018 at 12:44 #2370

    Any NLH version should work with NILE. You can install 3.8 and 6.6.5 side by side and both will work.

Latest 10 Maps

AW2 – Amicabe

AW2 – Mission

AW2 – Dune – Part 1

AW2 – White World

AW2 – Wippsteert

AW2 – Battle at Shambala Falls

AW2 – Airport Takedown v3.14

AW2 – Lumberyard XMAS

AW2 – Zombies Christmas

AW2 – Metal Christmas

Log In

Username:

Password:


Lost password? | Register